Package org.apache.sling.commons.log.logback.webconsole

# Class LoggerConfig

java.lang.Object
org.apache.sling.commons.log.logback.webconsole.LoggerConfig

public final class LoggerConfig extends Object
Encapsulates the info about a logger configuration

## Constructor Summary

Constructors
Constructor
Description
`LoggerConfig(@Nullable String pid, @Nullable String logLevel, @Nullable String[] loggers, @Nullable String logFile, boolean additive)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getLogFile()`
Gets the log file
`@Nullable String[]`
`getLoggers()`
Gets the loggers
`@Nullable String`
`getLogLevel()`
Gets the log level
`@Nullable String`
`getPid()`
Gets the PID
`boolean`
`isAdditive()`
Gets additive value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggerConfig

public LoggerConfig(@Nullable @Nullable String pid, @Nullable @Nullable String logLevel, @Nullable @Nullable String[] loggers, @Nullable @Nullable String logFile, boolean additive)
Constructor

Parameters:
  `pid` - the pid of the logger configuration (may be null)
  `logLevel` - the log level for the loggers (may be null)
  `loggers` - the set of loggers
  `logFile` - the target file for the logging output
  `additive` - true if root should log too, false otherwise

## Method Details

### getPid

@Nullable public @Nullable String getPid()
Gets the PID

Returns:
  the pid of the logger configuration (may be null)

### getLogLevel

@Nullable public @Nullable String getLogLevel()
Gets the log level

Returns:
  the log level for the loggers (may be null)

### getLoggers

@Nullable public @Nullable String[] getLoggers()
Gets the loggers

Returns:
  the set of loggers

### getLogFile

@Nullable public @Nullable String getLogFile()
Gets the log file

Returns:
  the target file for the logging output

### isAdditive

public boolean isAdditive()
Gets additive value

Returns:
  true if root should log too, false otherwise